org.apache.ignite.internal.processors.platform.client

## Class ClientConnectableNodePartitions

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientConnectableNodePartitions

    public class ClientConnectableNodePartitions
    extends Object

Address of the node, connectible for the thin client, associated with cache partitions info.

### Constructor Summary

Constructors
Constructor and Description
`ClientConnectableNodePartitions(int port, Collection<String> addrs, int[] parts)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<String>` `getAddress()`
`int[]` `getPartitions()`
`int` `getPort()`
`void` `write(BinaryRawWriter writer)` Write using writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientConnectableNodePartitions

    public ClientConnectableNodePartitions(int port,
                                           Collection<String> addrs,
                                           int[] parts)

Parameters:
  `port` - Client listener port.
  `addrs` - Node addresses.
  `parts` - Partitions.

### Method Detail

#### getPort

    public int getPort()

Returns:
  Client listener port of the node.

#### getAddress

    public Collection<String> getAddress()

Returns:
  Node's addresses.

#### getPartitions

    public int[] getPartitions()

Returns:
  Cache partitions mapped to the node.

#### write

    public void write(BinaryRawWriter writer)

Write using writer.

Parameters:
  `writer` - Writer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021